org.apache.http.conn.scheme

## Interface LayeredSchemeSocketFactory

- All Superinterfaces:
    SchemeSocketFactory
  All Known Implementing Classes:
    SSLSocketFactory

  Deprecated.
  (4.2) use `SchemeLayeredSocketFactory`

      @Deprecated
      public interface LayeredSchemeSocketFactory
      extends SchemeSocketFactory

  Extended `SchemeSocketFactory` interface for layered sockets such as SSL/TLS.
  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Socket` | `createLayeredSocket(Socket socket, String target, int port, boolean autoClose)` Deprecated. Returns a socket connected to the given host that is layered over an existing socket.

    - ### Methods inherited from interface org.apache.http.conn.scheme.SchemeSocketFactory

      `connectSocket, createSocket, isSecure`

- - ### Method Detail

    - #### createLayeredSocket

          Socket createLayeredSocket(Socket socket,
                                   String target,
                                   int port,
                                   boolean autoClose)
                                     throws IOException,
                                            UnknownHostException

      Deprecated.
      Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.
      Parameters:
        `socket` - the existing socket
        `target` - the name of the target host.
        `port` - the port to connect to on the target host
        `autoClose` - a flag for closing the underling socket when the created socket is closed
      Returns:
        Socket a new socket
      Throws:
        `IOException` - if an I/O error occurs while creating the socket
        `UnknownHostException` - if the IP address of the host cannot be determined

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.